## org.apache.fop.layout
Interface FontDescriptor

public interface FontDescriptor

Method Summary
`java.lang.String` `fontName()`
`int` `getAscender()`
`int` `getCapHeight()`
`int` `getDescender()`
`int` `getFlags()`
`int[]` `getFontBBox()`
`PDFStream` `getFontFile(int objNum)`
`int` `getItalicAngle()`
`java.util.Hashtable` `getKerningInfo()`
`int` `getStemV()`
`byte` `getSubType()`
`boolean` `hasKerningInfo()`
`boolean` `isEmbeddable()`

Method Detail

### getAscender

    public int getAscender()

### getCapHeight

    public int getCapHeight()

### getDescender

    public int getDescender()

### getFlags

    public int getFlags()

### getFontBBox

    public int[] getFontBBox()

### fontName

    public java.lang.String fontName()

### getItalicAngle

    public int getItalicAngle()

### getStemV

    public int getStemV()

### hasKerningInfo

    public boolean hasKerningInfo()

### getKerningInfo

    public java.util.Hashtable getKerningInfo()

### isEmbeddable

    public boolean isEmbeddable()

### getSubType

    public byte getSubType()

### getFontFile

    public PDFStream getFontFile(int objNum)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.